# pulpcore_client

PulpcoreClient - the Ruby gem for the Pulp 3 API

No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This SDK is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: v3
- Package version: 3.4.1
- Build package: org.openapitools.codegen.languages.RubyClientCodegen

## Installation

### Build a gem

To build the Ruby code into a gem:

```shell
gem build pulpcore_client.gemspec
```

Then either install the gem locally:

```shell
gem install ./pulpcore_client-3.4.1.gem
```

(for development, run `gem install --dev ./pulpcore_client-3.4.1.gem` to install the development dependencies)

or publish the gem to a gem hosting service, e.g. [RubyGems](https://rubygems.org/).

Finally add this to the Gemfile:

    gem 'pulpcore_client', '~> 3.4.1'

### Install from Git

If the Ruby gem is hosted at a git repository: https://github.com/GIT_USER_ID/GIT_REPO_ID, then add the following in the Gemfile:

    gem 'pulpcore_client', :git => 'https://github.com/GIT_USER_ID/GIT_REPO_ID.git'

### Include the Ruby code directly

Include the Ruby code directly using `-I` as follows:

```shell
ruby -Ilib script.rb
```

## Getting Started

Please follow the [installation](#installation) procedure and then run the following code:

```ruby
# Load the gem
require 'pulpcore_client'

# Setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR_USERNAME'
  config.password = 'YOUR_PASSWORD'
end

api_instance = PulpcoreClient::ArtifactsApi.new
file = File.new('/path/to/file') # File | The stored file.
opts = {
  size: 56, # Integer | The size of the file in bytes.
  md5: 'md5_example', # String | The MD5 checksum of the file if available.
  sha1: 'sha1_example', # String | The SHA-1 checksum of the file if available.
  sha224: 'sha224_example', # String | The SHA-224 checksum of the file if available.
  sha256: 'sha256_example', # String | The SHA-256 checksum of the file if available.
  sha384: 'sha384_example', # String | The SHA-384 checksum of the file if available.
  sha512: 'sha512_example' # String | The SHA-512 checksum of the file if available.
}

begin
  #Create an artifact
  result = api_instance.create(file, opts)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling ArtifactsApi->create: #{e}"
end

```

## Documentation for API Endpoints

All URIs are relative to *http://pulp*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*PulpcoreClient::ArtifactsApi* | [**create**](docs/ArtifactsApi.md#create) | **POST** /pulp/api/v3/artifacts/ | Create an artifact
*PulpcoreClient::ArtifactsApi* | [**delete**](docs/ArtifactsApi.md#delete) | **DELETE** {artifact_href} | Delete an artifact
*PulpcoreClient::ArtifactsApi* | [**list**](docs/ArtifactsApi.md#list) | **GET** /pulp/api/v3/artifacts/ | List artifacts
*PulpcoreClient::ArtifactsApi* | [**read**](docs/ArtifactsApi.md#read) | **GET** {artifact_href} | Inspect an artifact
*PulpcoreClient::ExportersCoreExportsApi* | [**create**](docs/ExportersCoreExportsApi.md#create) | **POST** {pulp_exporter_href}exports/ | Create a pulp export
*PulpcoreClient::ExportersCoreExportsApi* | [**delete**](docs/ExportersCoreExportsApi.md#delete) | **DELETE** {pulp_export_href} | Delete a pulp export
*PulpcoreClient::ExportersCoreExportsApi* | [**list**](docs/ExportersCoreExportsApi.md#list) | **GET** {pulp_exporter_href}exports/ | List pulp exports
*PulpcoreClient::ExportersCoreExportsApi* | [**read**](docs/ExportersCoreExportsApi.md#read) | **GET** {pulp_export_href} | Inspect a pulp export
*PulpcoreClient::ExportersPulpApi* | [**create**](docs/ExportersPulpApi.md#create) | **POST** /pulp/api/v3/exporters/core/pulp/ | Create a pulp exporter
*PulpcoreClient::ExportersPulpApi* | [**delete**](docs/ExportersPulpApi.md#delete) | **DELETE** {pulp_exporter_href} | Delete a pulp exporter
*PulpcoreClient::ExportersPulpApi* | [**list**](docs/ExportersPulpApi.md#list) | **GET** /pulp/api/v3/exporters/core/pulp/ | List pulp exporters
*PulpcoreClient::ExportersPulpApi* | [**partial_update**](docs/ExportersPulpApi.md#partial_update) | **PATCH** {pulp_exporter_href} | Partially update a pulp exporter
*PulpcoreClient::ExportersPulpApi* | [**read**](docs/ExportersPulpApi.md#read) | **GET** {pulp_exporter_href} | Inspect a pulp exporter
*PulpcoreClient::ExportersPulpApi* | [**update**](docs/ExportersPulpApi.md#update) | **PUT** {pulp_exporter_href} | Update a pulp exporter
*PulpcoreClient::ImportersCoreImportsApi* | [**create**](docs/ImportersCoreImportsApi.md#create) | **POST** {pulp_importer_href}imports/ | Create a pulp import
*PulpcoreClient::ImportersCoreImportsApi* | [**delete**](docs/ImportersCoreImportsApi.md#delete) | **DELETE** {pulp_import_href} | Delete a pulp import
*PulpcoreClient::ImportersCoreImportsApi* | [**list**](docs/ImportersCoreImportsApi.md#list) | **GET** {pulp_importer_href}imports/ | List pulp imports
*PulpcoreClient::ImportersCoreImportsApi* | [**read**](docs/ImportersCoreImportsApi.md#read) | **GET** {pulp_import_href} | Inspect a pulp import
*PulpcoreClient::ImportersPulpApi* | [**create**](docs/ImportersPulpApi.md#create) | **POST** /pulp/api/v3/importers/core/pulp/ | Create a pulp importer
*PulpcoreClient::ImportersPulpApi* | [**delete**](docs/ImportersPulpApi.md#delete) | **DELETE** {pulp_importer_href} | Delete a pulp importer
*PulpcoreClient::ImportersPulpApi* | [**list**](docs/ImportersPulpApi.md#list) | **GET** /pulp/api/v3/importers/core/pulp/ | List pulp importers
*PulpcoreClient::ImportersPulpApi* | [**partial_update**](docs/ImportersPulpApi.md#partial_update) | **PATCH** {pulp_importer_href} | Partially update a pulp importer
*PulpcoreClient::ImportersPulpApi* | [**read**](docs/ImportersPulpApi.md#read) | **GET** {pulp_importer_href} | Inspect a pulp importer
*PulpcoreClient::ImportersPulpApi* | [**update**](docs/ImportersPulpApi.md#update) | **PUT** {pulp_importer_href} | Update a pulp importer
*PulpcoreClient::OrphansApi* | [**delete**](docs/OrphansApi.md#delete) | **DELETE** /pulp/api/v3/orphans/ | Delete orphans
*PulpcoreClient::SigningServicesApi* | [**list**](docs/SigningServicesApi.md#list) | **GET** /pulp/api/v3/signing-services/ | List signing services
*PulpcoreClient::SigningServicesApi* | [**read**](docs/SigningServicesApi.md#read) | **GET** {signing_service_href} | Inspect a signing service
*PulpcoreClient::StatusApi* | [**status_read**](docs/StatusApi.md#status_read) | **GET** /pulp/api/v3/status/ | Inspect status of Pulp
*PulpcoreClient::TaskGroupsApi* | [**list**](docs/TaskGroupsApi.md#list) | **GET** /pulp/api/v3/task-groups/ | List task groups
*PulpcoreClient::TaskGroupsApi* | [**read**](docs/TaskGroupsApi.md#read) | **GET** {task_group_href} | Inspect a task group
*PulpcoreClient::TasksApi* | [**delete**](docs/TasksApi.md#delete) | **DELETE** {task_href} | Delete a task
*PulpcoreClient::TasksApi* | [**list**](docs/TasksApi.md#list) | **GET** /pulp/api/v3/tasks/ | List tasks
*PulpcoreClient::TasksApi* | [**read**](docs/TasksApi.md#read) | **GET** {task_href} | Inspect a task
*PulpcoreClient::TasksApi* | [**tasks_cancel**](docs/TasksApi.md#tasks_cancel) | **PATCH** {task_href} | Cancel a task
*PulpcoreClient::UploadsApi* | [**commit**](docs/UploadsApi.md#commit) | **POST** {upload_href}commit/ | Finish an Upload
*PulpcoreClient::UploadsApi* | [**create**](docs/UploadsApi.md#create) | **POST** /pulp/api/v3/uploads/ | Create an upload
*PulpcoreClient::UploadsApi* | [**delete**](docs/UploadsApi.md#delete) | **DELETE** {upload_href} | Delete an upload
*PulpcoreClient::UploadsApi* | [**list**](docs/UploadsApi.md#list) | **GET** /pulp/api/v3/uploads/ | List uploads
*PulpcoreClient::UploadsApi* | [**read**](docs/UploadsApi.md#read) | **GET** {upload_href} | Inspect an upload
*PulpcoreClient::UploadsApi* | [**update**](docs/UploadsApi.md#update) | **PUT** {upload_href} | Upload a file chunk
*PulpcoreClient::WorkersApi* | [**list**](docs/WorkersApi.md#list) | **GET** /pulp/api/v3/workers/ | List workers
*PulpcoreClient::WorkersApi* | [**read**](docs/WorkersApi.md#read) | **GET** {worker_href} | Inspect a worker


## Documentation for Models

 - [PulpcoreClient::ArtifactRead](docs/ArtifactRead.md)
 - [PulpcoreClient::AsyncOperationResponse](docs/AsyncOperationResponse.md)
 - [PulpcoreClient::ContentAppStatus](docs/ContentAppStatus.md)
 - [PulpcoreClient::DatabaseConnection](docs/DatabaseConnection.md)
 - [PulpcoreClient::ImportRead](docs/ImportRead.md)
 - [PulpcoreClient::InlineResponse200](docs/InlineResponse200.md)
 - [PulpcoreClient::InlineResponse2001](docs/InlineResponse2001.md)
 - [PulpcoreClient::InlineResponse2002](docs/InlineResponse2002.md)
 - [PulpcoreClient::InlineResponse2003](docs/InlineResponse2003.md)
 - [PulpcoreClient::InlineResponse2004](docs/InlineResponse2004.md)
 - [PulpcoreClient::InlineResponse2005](docs/InlineResponse2005.md)
 - [PulpcoreClient::InlineResponse2006](docs/InlineResponse2006.md)
 - [PulpcoreClient::InlineResponse2007](docs/InlineResponse2007.md)
 - [PulpcoreClient::InlineResponse2008](docs/InlineResponse2008.md)
 - [PulpcoreClient::InlineResponse2009](docs/InlineResponse2009.md)
 - [PulpcoreClient::ProgressReport](docs/ProgressReport.md)
 - [PulpcoreClient::PulpExport](docs/PulpExport.md)
 - [PulpcoreClient::PulpExportRead](docs/PulpExportRead.md)
 - [PulpcoreClient::PulpExporter](docs/PulpExporter.md)
 - [PulpcoreClient::PulpExporterRead](docs/PulpExporterRead.md)
 - [PulpcoreClient::PulpImport](docs/PulpImport.md)
 - [PulpcoreClient::PulpImporter](docs/PulpImporter.md)
 - [PulpcoreClient::PulpImporterRead](docs/PulpImporterRead.md)
 - [PulpcoreClient::RedisConnection](docs/RedisConnection.md)
 - [PulpcoreClient::SigningServiceRead](docs/SigningServiceRead.md)
 - [PulpcoreClient::Status](docs/Status.md)
 - [PulpcoreClient::Storage](docs/Storage.md)
 - [PulpcoreClient::Task](docs/Task.md)
 - [PulpcoreClient::TaskCancel](docs/TaskCancel.md)
 - [PulpcoreClient::TaskGroupRead](docs/TaskGroupRead.md)
 - [PulpcoreClient::TaskRead](docs/TaskRead.md)
 - [PulpcoreClient::Upload](docs/Upload.md)
 - [PulpcoreClient::UploadChunk](docs/UploadChunk.md)
 - [PulpcoreClient::UploadCommit](docs/UploadCommit.md)
 - [PulpcoreClient::UploadDetailRead](docs/UploadDetailRead.md)
 - [PulpcoreClient::UploadRead](docs/UploadRead.md)
 - [PulpcoreClient::Version](docs/Version.md)
 - [PulpcoreClient::Worker](docs/Worker.md)
 - [PulpcoreClient::WorkerRead](docs/WorkerRead.md)


## Documentation for Authorization


### Basic

- **Type**: HTTP basic authentication

