# PulpcoreClient::ExportersPulpApi

All URIs are relative to *http://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**create**](ExportersPulpApi.md#create) | **POST** /pulp/api/v3/exporters/core/pulp/ | Create a pulp exporter
[**delete**](ExportersPulpApi.md#delete) | **DELETE** {pulp_exporter_href} | Delete a pulp exporter
[**list**](ExportersPulpApi.md#list) | **GET** /pulp/api/v3/exporters/core/pulp/ | List pulp exporters
[**partial_update**](ExportersPulpApi.md#partial_update) | **PATCH** {pulp_exporter_href} | Partially update a pulp exporter
[**read**](ExportersPulpApi.md#read) | **GET** {pulp_exporter_href} | Inspect a pulp exporter
[**update**](ExportersPulpApi.md#update) | **PUT** {pulp_exporter_href} | Update a pulp exporter



## create

> PulpExporterRead create(data)

Create a pulp exporter

ViewSet for viewing PulpExporters.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::ExportersPulpApi.new
data = PulpcoreClient::PulpExporter.new # PulpExporter | 

begin
  #Create a pulp exporter
  result = api_instance.create(data)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling ExportersPulpApi->create: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **data** | [**PulpExporter**](PulpExporter.md)|  | 

### Return type

[**PulpExporterRead**](PulpExporterRead.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json


## delete

> delete(pulp_exporter_href)

Delete a pulp exporter

ViewSet for viewing PulpExporters.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::ExportersPulpApi.new
pulp_exporter_href = 'pulp_exporter_href_example' # String | URI of Pulp Exporter. e.g.: /pulp/api/v3/exporters/core/pulp/1/

begin
  #Delete a pulp exporter
  api_instance.delete(pulp_exporter_href)
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling ExportersPulpApi->delete: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pulp_exporter_href** | **String**| URI of Pulp Exporter. e.g.: /pulp/api/v3/exporters/core/pulp/1/ | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined


## list

> InlineResponse2001 list(opts)

List pulp exporters

ViewSet for viewing PulpExporters.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::ExportersPulpApi.new
opts = {
  ordering: 'ordering_example', # String | Which field to use when ordering the results.
  name: 'name_example', # String | 
  name__in: 'name__in_example', # String | Filter results where name is in a comma-separated list of values
  limit: 56, # Integer | Number of results to return per page.
  offset: 56, # Integer | The initial index from which to return the results.
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #List pulp exporters
  result = api_instance.list(opts)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling ExportersPulpApi->list: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ordering** | **String**| Which field to use when ordering the results. | [optional] 
 **name** | **String**|  | [optional] 
 **name__in** | **String**| Filter results where name is in a comma-separated list of values | [optional] 
 **limit** | **Integer**| Number of results to return per page. | [optional] 
 **offset** | **Integer**| The initial index from which to return the results. | [optional] 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**InlineResponse2001**](InlineResponse2001.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## partial_update

> PulpExporterRead partial_update(pulp_exporter_href, data)

Partially update a pulp exporter

ViewSet for viewing PulpExporters.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::ExportersPulpApi.new
pulp_exporter_href = 'pulp_exporter_href_example' # String | URI of Pulp Exporter. e.g.: /pulp/api/v3/exporters/core/pulp/1/
data = PulpcoreClient::PulpExporter.new # PulpExporter | 

begin
  #Partially update a pulp exporter
  result = api_instance.partial_update(pulp_exporter_href, data)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling ExportersPulpApi->partial_update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pulp_exporter_href** | **String**| URI of Pulp Exporter. e.g.: /pulp/api/v3/exporters/core/pulp/1/ | 
 **data** | [**PulpExporter**](PulpExporter.md)|  | 

### Return type

[**PulpExporterRead**](PulpExporterRead.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json


## read

> PulpExporterRead read(pulp_exporter_href, opts)

Inspect a pulp exporter

ViewSet for viewing PulpExporters.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::ExportersPulpApi.new
pulp_exporter_href = 'pulp_exporter_href_example' # String | URI of Pulp Exporter. e.g.: /pulp/api/v3/exporters/core/pulp/1/
opts = {
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #Inspect a pulp exporter
  result = api_instance.read(pulp_exporter_href, opts)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling ExportersPulpApi->read: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pulp_exporter_href** | **String**| URI of Pulp Exporter. e.g.: /pulp/api/v3/exporters/core/pulp/1/ | 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**PulpExporterRead**](PulpExporterRead.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## update

> PulpExporterRead update(pulp_exporter_href, data)

Update a pulp exporter

ViewSet for viewing PulpExporters.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::ExportersPulpApi.new
pulp_exporter_href = 'pulp_exporter_href_example' # String | URI of Pulp Exporter. e.g.: /pulp/api/v3/exporters/core/pulp/1/
data = PulpcoreClient::PulpExporter.new # PulpExporter | 

begin
  #Update a pulp exporter
  result = api_instance.update(pulp_exporter_href, data)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling ExportersPulpApi->update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pulp_exporter_href** | **String**| URI of Pulp Exporter. e.g.: /pulp/api/v3/exporters/core/pulp/1/ | 
 **data** | [**PulpExporter**](PulpExporter.md)|  | 

### Return type

[**PulpExporterRead**](PulpExporterRead.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json

