# PulpcoreClient::ImportersPulpApi

All URIs are relative to *http://pulp*

Method | HTTP request | Description
------------- | ------------- | -------------
[**create**](ImportersPulpApi.md#create) | **POST** /pulp/api/v3/importers/core/pulp/ | Create a pulp importer
[**delete**](ImportersPulpApi.md#delete) | **DELETE** {pulp_importer_href} | Delete a pulp importer
[**list**](ImportersPulpApi.md#list) | **GET** /pulp/api/v3/importers/core/pulp/ | List pulp importers
[**partial_update**](ImportersPulpApi.md#partial_update) | **PATCH** {pulp_importer_href} | Partially update a pulp importer
[**read**](ImportersPulpApi.md#read) | **GET** {pulp_importer_href} | Inspect a pulp importer
[**update**](ImportersPulpApi.md#update) | **PUT** {pulp_importer_href} | Update a pulp importer



## create

> PulpImporterRead create(data)

Create a pulp importer

ViewSet for PulpImporters.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::ImportersPulpApi.new
data = PulpcoreClient::PulpImporter.new # PulpImporter | 

begin
  #Create a pulp importer
  result = api_instance.create(data)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling ImportersPulpApi->create: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **data** | [**PulpImporter**](PulpImporter.md)|  | 

### Return type

[**PulpImporterRead**](PulpImporterRead.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json


## delete

> delete(pulp_importer_href)

Delete a pulp importer

ViewSet for PulpImporters.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::ImportersPulpApi.new
pulp_importer_href = 'pulp_importer_href_example' # String | URI of Pulp Importer. e.g.: /pulp/api/v3/importers/core/pulp/1/

begin
  #Delete a pulp importer
  api_instance.delete(pulp_importer_href)
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling ImportersPulpApi->delete: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pulp_importer_href** | **String**| URI of Pulp Importer. e.g.: /pulp/api/v3/importers/core/pulp/1/ | 

### Return type

nil (empty response body)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: Not defined


## list

> InlineResponse2003 list(opts)

List pulp importers

ViewSet for PulpImporters.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::ImportersPulpApi.new
opts = {
  ordering: 'ordering_example', # String | Which field to use when ordering the results.
  name: 'name_example', # String | 
  name__in: 'name__in_example', # String | Filter results where name is in a comma-separated list of values
  limit: 56, # Integer | Number of results to return per page.
  offset: 56, # Integer | The initial index from which to return the results.
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #List pulp importers
  result = api_instance.list(opts)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling ImportersPulpApi->list: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **ordering** | **String**| Which field to use when ordering the results. | [optional] 
 **name** | **String**|  | [optional] 
 **name__in** | **String**| Filter results where name is in a comma-separated list of values | [optional] 
 **limit** | **Integer**| Number of results to return per page. | [optional] 
 **offset** | **Integer**| The initial index from which to return the results. | [optional] 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**InlineResponse2003**](InlineResponse2003.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## partial_update

> PulpImporterRead partial_update(pulp_importer_href, data)

Partially update a pulp importer

ViewSet for PulpImporters.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::ImportersPulpApi.new
pulp_importer_href = 'pulp_importer_href_example' # String | URI of Pulp Importer. e.g.: /pulp/api/v3/importers/core/pulp/1/
data = PulpcoreClient::PulpImporter.new # PulpImporter | 

begin
  #Partially update a pulp importer
  result = api_instance.partial_update(pulp_importer_href, data)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling ImportersPulpApi->partial_update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pulp_importer_href** | **String**| URI of Pulp Importer. e.g.: /pulp/api/v3/importers/core/pulp/1/ | 
 **data** | [**PulpImporter**](PulpImporter.md)|  | 

### Return type

[**PulpImporterRead**](PulpImporterRead.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json


## read

> PulpImporterRead read(pulp_importer_href, opts)

Inspect a pulp importer

ViewSet for PulpImporters.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::ImportersPulpApi.new
pulp_importer_href = 'pulp_importer_href_example' # String | URI of Pulp Importer. e.g.: /pulp/api/v3/importers/core/pulp/1/
opts = {
  fields: 'fields_example', # String | A list of fields to include in the response.
  exclude_fields: 'exclude_fields_example' # String | A list of fields to exclude from the response.
}

begin
  #Inspect a pulp importer
  result = api_instance.read(pulp_importer_href, opts)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling ImportersPulpApi->read: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pulp_importer_href** | **String**| URI of Pulp Importer. e.g.: /pulp/api/v3/importers/core/pulp/1/ | 
 **fields** | **String**| A list of fields to include in the response. | [optional] 
 **exclude_fields** | **String**| A list of fields to exclude from the response. | [optional] 

### Return type

[**PulpImporterRead**](PulpImporterRead.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

- **Content-Type**: Not defined
- **Accept**: application/json


## update

> PulpImporterRead update(pulp_importer_href, data)

Update a pulp importer

ViewSet for PulpImporters.

### Example

```ruby
# load the gem
require 'pulpcore_client'
# setup authorization
PulpcoreClient.configure do |config|
  # Configure HTTP basic authorization: Basic
  config.username = 'YOUR USERNAME'
  config.password = 'YOUR PASSWORD'
end

api_instance = PulpcoreClient::ImportersPulpApi.new
pulp_importer_href = 'pulp_importer_href_example' # String | URI of Pulp Importer. e.g.: /pulp/api/v3/importers/core/pulp/1/
data = PulpcoreClient::PulpImporter.new # PulpImporter | 

begin
  #Update a pulp importer
  result = api_instance.update(pulp_importer_href, data)
  p result
rescue PulpcoreClient::ApiError => e
  puts "Exception when calling ImportersPulpApi->update: #{e}"
end
```

### Parameters


Name | Type | Description  | Notes
------------- | ------------- | ------------- | -------------
 **pulp_importer_href** | **String**| URI of Pulp Importer. e.g.: /pulp/api/v3/importers/core/pulp/1/ | 
 **data** | [**PulpImporter**](PulpImporter.md)|  | 

### Return type

[**PulpImporterRead**](PulpImporterRead.md)

### Authorization

[Basic](../README.md#Basic)

### HTTP request headers

- **Content-Type**: application/json
- **Accept**: application/json

